Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.components.table
Class TableReportContextXmlRule

    java.lang.Object
      org.apache.commons.digester.Rule
          net.sf.jasperreports.components.table.TableReportContextXmlRule

    public class TableReportContextXmlRule

extends org.apache.commons.digester.Rule

Version:
  $Id: TableReportContextXmlRule.java 3698 2010-04-07 08:39:26Z lucianc $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Field Summary

Fields inherited from class org.apache.commons.digester.Rule
`digester, namespaceURI`

Constructor Summary
`TableReportContextXmlRule()`

Method Summary
`void` | `begin(java.lang.String namespace, java.lang.String name, org.xml.sax.Attributes attributes)`
`void` | `end(java.lang.String namespace, java.lang.String name)`
`protected TableComponent` | `getTableComponent()`
`protected JRXmlLoader` | `getXmlLoader()`

Methods inherited from class org.apache.commons.digester.Rule
`begin, body, body, end, finish, getDigester, getNamespaceURI, setDigester, setNamespaceURI`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TableReportContextXmlRule

    public TableReportContextXmlRule()

Method Detail

### begin

    public void begin(java.lang.String namespace,
                      java.lang.String name,
                      org.xml.sax.Attributes attributes)
               throws java.lang.Exception

  Overrides:
    `begin` in class `org.apache.commons.digester.Rule`
  Throws:
    `java.lang.Exception`

### end

    public void end(java.lang.String namespace,
                    java.lang.String name)
             throws java.lang.Exception

  Overrides:
    `end` in class `org.apache.commons.digester.Rule`
  Throws:
    `java.lang.Exception`

### getXmlLoader

    protected JRXmlLoader getXmlLoader()

### getTableComponent

    protected TableComponent getTableComponent()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com